Skip to main content
PATCH
/
v2
/
auth
/
accesses
Update sub-access
curl --request PATCH \
  --url https://api.example.com/v2/auth/accesses/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "otp": "<string>",
  "permissions": {
    "payIn": true,
    "payOut": true,
    "convert": true,
    "onChain": true,
    "viewOnly": true,
    "markup": true,
    "beneficiary": true,
    "enforceAllowedBeneficiaries": false,
    "operationRequester": false,
    "operationApprover": false
  },
  "blacklistedSubAccountIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "approverAccessIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "minApprovals": 123
}
'
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string<uuid>
required
otp
string
required
permissions
object
required
blacklistedSubAccountIds
string<uuid>[]
approverAccessIds
string<uuid>[]
minApprovals
integer<int32>

Response

OK